diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/general-template.php ./wordpress-3.3/wp-includes/general-template.php
*** ./wordpress-3.2.1/wp-includes/general-template.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/general-template.php	2011-11-30 22:51:35.000000000 -0600
***************
*** 106,117 ****
   * The template is included using require, not require_once, so you may include the
   * same template part multiple times.
   *
!  * For the parameter, if the file is called "{slug}-special.php" then specify
   * "special".
   *
   * @uses locate_template()
   * @since 3.0.0
!  * @uses do_action() Calls 'get_template_part{$slug}' action.
   *
   * @param string $slug The slug name for the generic template.
   * @param string $name The name of the specialised template.
--- 106,117 ----
   * The template is included using require, not require_once, so you may include the
   * same template part multiple times.
   *
!  * For the $name parameter, if the file is called "{slug}-special.php" then specify
   * "special".
   *
   * @uses locate_template()
   * @since 3.0.0
!  * @uses do_action() Calls 'get_template_part_{$slug}' action.
   *
   * @param string $slug The slug name for the generic template.
   * @param string $name The name of the specialised template.
***************
*** 157,163 ****
  		return;
  	}
  
! 	$form = '<form role="search" method="get" id="searchform" action="' . home_url( '/' ) . '" >
  	<div><label class="screen-reader-text" for="s">' . __('Search for:') . '</label>
  	<input type="text" value="' . get_search_query() . '" name="s" id="s" />
  	<input type="submit" id="searchsubmit" value="'. esc_attr__('Search') .'" />
--- 157,163 ----
  		return;
  	}
  
! 	$form = '<form role="search" method="get" id="searchform" action="' . esc_url( home_url( '/' ) ) . '" >
  	<div><label class="screen-reader-text" for="s">' . __('Search for:') . '</label>
  	<input type="text" value="' . get_search_query() . '" name="s" id="s" />
  	<input type="submit" id="searchsubmit" value="'. esc_attr__('Search') .'" />
***************
*** 253,259 ****
   */
  function wp_login_form( $args = array() ) {
  	$defaults = array( 'echo' => true,
! 						'redirect' => site_url( $_SERVER['REQUEST_URI'] ), // Default redirect is back to the current page
  	 					'form_id' => 'loginform',
  						'label_username' => __( 'Username' ),
  						'label_password' => __( 'Password' ),
--- 253,259 ----
   */
  function wp_login_form( $args = array() ) {
  	$defaults = array( 'echo' => true,
! 						'redirect' => ( is_ssl() ? 'https://' : 'http://' ) . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'], // Default redirect is back to the current page
  	 					'form_id' => 'loginform',
  						'label_username' => __( 'Username' ),
  						'label_password' => __( 'Password' ),
***************
*** 270,276 ****
  	$args = wp_parse_args( $args, apply_filters( 'login_form_defaults', $defaults ) );
  
  	$form = '
! 		<form name="' . $args['form_id'] . '" id="' . $args['form_id'] . '" action="' . site_url( 'wp-login.php', 'login' ) . '" method="post">
  			' . apply_filters( 'login_form_top', '', $args ) . '
  			<p class="login-username">
  				<label for="' . esc_attr( $args['id_username'] ) . '">' . esc_html( $args['label_username'] ) . '</label>
--- 270,276 ----
  	$args = wp_parse_args( $args, apply_filters( 'login_form_defaults', $defaults ) );
  
  	$form = '
! 		<form name="' . $args['form_id'] . '" id="' . $args['form_id'] . '" action="' . esc_url( site_url( 'wp-login.php', 'login_post' ) ) . '" method="post">
  			' . apply_filters( 'login_form_top', '', $args ) . '
  			<p class="login-username">
  				<label for="' . esc_attr( $args['id_username'] ) . '">' . esc_html( $args['label_username'] ) . '</label>
***************
*** 284,290 ****
  			' . ( $args['remember'] ? '<p class="login-remember"><label><input name="rememberme" type="checkbox" id="' . esc_attr( $args['id_remember'] ) . '" value="forever" tabindex="90"' . ( $args['value_remember'] ? ' checked="checked"' : '' ) . ' /> ' . esc_html( $args['label_remember'] ) . '</label></p>' : '' ) . '
  			<p class="login-submit">
  				<input type="submit" name="wp-submit" id="' . esc_attr( $args['id_submit'] ) . '" class="button-primary" value="' . esc_attr( $args['label_log_in'] ) . '" tabindex="100" />
! 				<input type="hidden" name="redirect_to" value="' . esc_attr( $args['redirect'] ) . '" />
  			</p>
  			' . apply_filters( 'login_form_bottom', '', $args ) . '
  		</form>';
--- 284,290 ----
  			' . ( $args['remember'] ? '<p class="login-remember"><label><input name="rememberme" type="checkbox" id="' . esc_attr( $args['id_remember'] ) . '" value="forever" tabindex="90"' . ( $args['value_remember'] ? ' checked="checked"' : '' ) . ' /> ' . esc_html( $args['label_remember'] ) . '</label></p>' : '' ) . '
  			<p class="login-submit">
  				<input type="submit" name="wp-submit" id="' . esc_attr( $args['id_submit'] ) . '" class="button-primary" value="' . esc_attr( $args['label_log_in'] ) . '" tabindex="100" />
! 				<input type="hidden" name="redirect_to" value="' . esc_url( $args['redirect'] ) . '" />
  			</p>
  			' . apply_filters( 'login_form_bottom', '', $args ) . '
  		</form>';
***************
*** 306,319 ****
   *
   * @param string $redirect Path to redirect to on login.
   */
! function wp_lostpassword_url($redirect = '') {
  	$args = array( 'action' => 'lostpassword' );
  	if ( !empty($redirect) ) {
  		$args['redirect_to'] = $redirect;
  	}
  
! 	$lostpassword_url = add_query_arg($args, site_url('wp-login.php', 'login'));
! 	return apply_filters('lostpassword_url', $lostpassword_url, $redirect);
  }
  
  /**
--- 306,319 ----
   *
   * @param string $redirect Path to redirect to on login.
   */
! function wp_lostpassword_url( $redirect = '' ) {
  	$args = array( 'action' => 'lostpassword' );
  	if ( !empty($redirect) ) {
  		$args['redirect_to'] = $redirect;
  	}
  
! 	$lostpassword_url = add_query_arg( $args, network_site_url('wp-login.php', 'login') );
! 	return apply_filters( 'lostpassword_url', $lostpassword_url, $redirect );
  }
  
  /**
***************
*** 1030,1039 ****
  		if ( $arcresults ) {
  			foreach ( (array) $arcresults as $arcresult ) {
  				if ( $arcresult->post_date != '0000-00-00 00:00:00' ) {
! 					$url  = get_permalink($arcresult);
! 					$arc_title = $arcresult->post_title;
! 					if ( $arc_title )
! 						$text = strip_tags(apply_filters('the_title', $arc_title));
  					else
  						$text = $arcresult->ID;
  					$output .= get_archives_link($url, $text, $format, $before, $after);
--- 1030,1038 ----
  		if ( $arcresults ) {
  			foreach ( (array) $arcresults as $arcresult ) {
  				if ( $arcresult->post_date != '0000-00-00 00:00:00' ) {
! 					$url  = get_permalink( $arcresult );
! 					if ( $arcresult->post_title )
! 						$text = strip_tags( apply_filters( 'the_title', $arcresult->post_title, $arcresult->ID ) );
  					else
  						$text = $arcresult->ID;
  					$output .= get_archives_link($url, $text, $format, $before, $after);
***************
*** 1640,1673 ****
  	$args = wp_parse_args( $args, $defaults );
  
  	if ( is_single() || is_page() ) {
! 		$post = &get_post( $id = 0 );
  
  		if ( comments_open() || pings_open() || $post->comment_count > 0 ) {
! 			$title = esc_attr(sprintf( $args['singletitle'], get_bloginfo('name'), $args['separator'], esc_html( get_the_title() ) ));
  			$href = get_post_comments_feed_link( $post->ID );
  		}
  	} elseif ( is_category() ) {
  		$term = get_queried_object();
  
! 		$title = esc_attr(sprintf( $args['cattitle'], get_bloginfo('name'), $args['separator'], $term->name ));
  		$href = get_category_feed_link( $term->term_id );
  	} elseif ( is_tag() ) {
  		$term = get_queried_object();
  
! 		$title = esc_attr(sprintf( $args['tagtitle'], get_bloginfo('name'), $args['separator'], $term->name ));
  		$href = get_tag_feed_link( $term->term_id );
  	} elseif ( is_author() ) {
  		$author_id = intval( get_query_var('author') );
  
! 		$title = esc_attr(sprintf( $args['authortitle'], get_bloginfo('name'), $args['separator'], get_the_author_meta( 'display_name', $author_id ) ));
  		$href = get_author_feed_link( $author_id );
  	} elseif ( is_search() ) {
! 		$title = esc_attr(sprintf( $args['searchtitle'], get_bloginfo('name'), $args['separator'], get_search_query( false ) ));
  		$href = get_search_feed_link();
  	}
  
  	if ( isset($title) && isset($href) )
! 		echo '<link rel="alternate" type="' . feed_content_type() . '" title="' . $title . '" href="' . $href . '" />' . "\n";
  }
  
  /**
--- 1639,1673 ----
  	$args = wp_parse_args( $args, $defaults );
  
  	if ( is_single() || is_page() ) {
! 		$id = 0;
! 		$post = &get_post( $id );
  
  		if ( comments_open() || pings_open() || $post->comment_count > 0 ) {
! 			$title = sprintf( $args['singletitle'], get_bloginfo('name'), $args['separator'], esc_html( get_the_title() ) );
  			$href = get_post_comments_feed_link( $post->ID );
  		}
  	} elseif ( is_category() ) {
  		$term = get_queried_object();
  
! 		$title = sprintf( $args['cattitle'], get_bloginfo('name'), $args['separator'], $term->name );
  		$href = get_category_feed_link( $term->term_id );
  	} elseif ( is_tag() ) {
  		$term = get_queried_object();
  
! 		$title = sprintf( $args['tagtitle'], get_bloginfo('name'), $args['separator'], $term->name );
  		$href = get_tag_feed_link( $term->term_id );
  	} elseif ( is_author() ) {
  		$author_id = intval( get_query_var('author') );
  
! 		$title = sprintf( $args['authortitle'], get_bloginfo('name'), $args['separator'], get_the_author_meta( 'display_name', $author_id ) );
  		$href = get_author_feed_link( $author_id );
  	} elseif ( is_search() ) {
! 		$title = sprintf( $args['searchtitle'], get_bloginfo('name'), $args['separator'], get_search_query( false ) );
  		$href = get_search_feed_link();
  	}
  
  	if ( isset($title) && isset($href) )
! 		echo '<link rel="alternate" type="' . feed_content_type() . '" title="' . esc_attr( $title ) . '" href="' . esc_url( $href ) . '" />' . "\n";
  }
  
  /**
***************
*** 1695,1708 ****
   * Display a noindex meta tag if required by the blog configuration.
   *
   * If a blog is marked as not being public then the noindex meta tag will be
!  * output to tell web robots not to index the page content.
   *
   * @since 2.1.0
   */
  function noindex() {
  	// If the blog is not public, tell robots to go away.
  	if ( '0' == get_option('blog_public') )
! 		echo "<meta name='robots' content='noindex,nofollow' />\n";
  }
  
  /**
--- 1695,1723 ----
   * Display a noindex meta tag if required by the blog configuration.
   *
   * If a blog is marked as not being public then the noindex meta tag will be
!  * output to tell web robots not to index the page content. Add this to the wp_head action.
!  * Typical usage is as a wp_head callback. add_action( 'wp_head', 'noindex' );
!  *
!  * @see wp_no_robots
   *
   * @since 2.1.0
   */
  function noindex() {
  	// If the blog is not public, tell robots to go away.
  	if ( '0' == get_option('blog_public') )
! 		wp_no_robots();
! }
! 
! /**
!  * Display a noindex meta tag.
!  *
!  * Outputs a noindex meta tag that tells web robots not to index the page content.
!  * Typical usage is as a wp_head callback. add_action( 'wp_head', 'wp_no_robots' );
!  *
!  * @since 3.3.0
!  */
! function wp_no_robots() {
! 	echo "<meta name='robots' content='noindex,nofollow' />\n";
  }
  
  /**
***************
*** 1732,1748 ****
   * @return bool
   */
  function user_can_richedit() {
! 	global $wp_rich_edit, $pagenow, $is_iphone;
  
! 	if ( !isset( $wp_rich_edit) ) {
! 		if ( get_user_option( 'rich_editing' ) == 'true' &&
! 			!$is_iphone && // this includes all Safari mobile browsers
! 			( ( preg_match( '!AppleWebKit/(\d+)!', $_SERVER['HTTP_USER_AGENT'], $match ) && intval($match[1]) >= 420 ) ||
! 				!preg_match( '!opera[ /][2-8]|konqueror|safari!i', $_SERVER['HTTP_USER_AGENT'] ) )
! 				&& 'comment.php' != $pagenow ) {
! 			$wp_rich_edit = true;
! 		} else {
! 			$wp_rich_edit = false;
  		}
  	}
  
--- 1747,1764 ----
   * @return bool
   */
  function user_can_richedit() {
! 	global $wp_rich_edit, $is_gecko, $is_opera, $is_safari, $is_chrome, $is_iphone, $is_IE;
  
! 	if ( !isset($wp_rich_edit) ) {
! 		$wp_rich_edit = false;
! 
! 		if ( get_user_option( 'rich_editing' ) == 'true' || !is_user_logged_in() ) { // default to 'true' for logged out users
! 			if ( $is_safari ) {
! 				if ( !$is_iphone || ( preg_match( '!AppleWebKit/(\d+)!', $_SERVER['HTTP_USER_AGENT'], $match ) && intval($match[1]) >= 534 ) )
! 					$wp_rich_edit = true;
! 			} elseif ( $is_gecko || $is_opera || $is_chrome || $is_IE ) {
! 				$wp_rich_edit = true;
! 			}
  		}
  	}
  
***************
*** 1769,1853 ****
  }
  
  /**
!  * Display visual editor forms: TinyMCE, or HTML, or both.
   *
!  * The amount of rows the text area will have for the content has to be between
!  * 3 and 100 or will default at 12. There is only one option used for all users,
!  * named 'default_post_edit_rows'.
   *
!  * If the user can not use the rich editor (TinyMCE), then the switch button
!  * will not be displayed.
   *
!  * @since 2.1.0
   *
!  * @param string $content Textarea content.
!  * @param string $id Optional, default is 'content'. HTML ID attribute value.
!  * @param string $prev_id Optional, default is 'title'. HTML ID name for switching back and forth between visual editors.
!  * @param bool $media_buttons Optional, default is true. Whether to display media buttons.
!  * @param int $tab_index Optional, default is 2. Tabindex for textarea element.
!  */
! function the_editor($content, $id = 'content', $prev_id = 'title', $media_buttons = true, $tab_index = 2, $extended = true) {
! 	$rows = get_option('default_post_edit_rows');
! 	if (($rows < 3) || ($rows > 100))
! 		$rows = 12;
! 
! 	if ( !current_user_can( 'upload_files' ) )
! 		$media_buttons = false;
! 
! 	$richedit =  user_can_richedit();
! 	$class = '';
! 
! 	if ( $richedit || $media_buttons ) { ?>
! 	<div id="editor-toolbar">
! <?php
! 	if ( $richedit ) {
! 		$wp_default_editor = wp_default_editor(); ?>
! 		<div class="zerosize"><input accesskey="e" type="button" onclick="switchEditors.go('<?php echo $id; ?>')" /></div>
! <?php	if ( 'html' == $wp_default_editor ) {
! 			add_filter('the_editor_content', 'wp_htmledit_pre'); ?>
! 			<a id="edButtonHTML" class="active hide-if-no-js" onclick="switchEditors.go('<?php echo $id; ?>', 'html');"><?php _e('HTML'); ?></a>
! 			<a id="edButtonPreview" class="hide-if-no-js" onclick="switchEditors.go('<?php echo $id; ?>', 'tinymce');"><?php _e('Visual'); ?></a>
! <?php	} else {
! 			$class = " class='theEditor'";
! 			add_filter('the_editor_content', 'wp_richedit_pre'); ?>
! 			<a id="edButtonHTML" class="hide-if-no-js" onclick="switchEditors.go('<?php echo $id; ?>', 'html');"><?php _e('HTML'); ?></a>
! 			<a id="edButtonPreview" class="active hide-if-no-js" onclick="switchEditors.go('<?php echo $id; ?>', 'tinymce');"><?php _e('Visual'); ?></a>
! <?php	}
! 	}
! 
! 	if ( $media_buttons ) { ?>
! 		<div id="media-buttons" class="hide-if-no-js">
! <?php	do_action( 'media_buttons' ); ?>
! 		</div>
! <?php
! 	} ?>
! 	</div>
! <?php
! 	}
! ?>
! 	<div id="quicktags"><?php
! 	wp_print_scripts( 'quicktags' ); ?>
! 	<script type="text/javascript">edToolbar()</script>
! 	</div>
! 
! <?php
! 	$the_editor = apply_filters('the_editor', "<div id='editorcontainer'><textarea rows='$rows'$class cols='40' name='$id' tabindex='$tab_index' id='$id'>%s</textarea></div>\n");
! 	$the_editor_content = apply_filters('the_editor_content', $content);
! 
! 	printf($the_editor, $the_editor_content);
! 
! ?>
! 	<script type="text/javascript">
! 	edCanvas = document.getElementById('<?php echo $id; ?>');
! <?php if ( ! $extended ) { ?>	jQuery('#ed_fullscreen, #ed_more').hide();<?php } ?>
! 	</script>
! <?php
! 	// queue scripts
! 	if ( $richedit )
! 		add_action( 'admin_print_footer_scripts', 'wp_tiny_mce', 25 );
! 	elseif ( $extended )
! 		add_action( 'admin_print_footer_scripts', 'wp_quicktags', 25 );
  
  }
  
  /**
--- 1785,1813 ----
  }
  
  /**
!  * Renders an editor.
   *
!  * Using this function is the proper way to output all needed components for both TinyMCE and Quicktags.
!  * _WP_Editors should not be used directly. See http://core.trac.wordpress.org/ticket/17144.
   *
!  * NOTE: Once initialized the TinyMCE editor cannot be safely moved in the DOM. For that reason
!  * running wp_editor() inside of a metabox is not a good idea unless only Quicktags is used.
!  * On the post edit screen several actions can be used to include additional editors
!  * containing TinyMCE: 'edit_page_form', 'edit_form_advanced' and 'dbx_post_sidebar'.
!  * See http://core.trac.wordpress.org/ticket/19173 for more information.
   *
!  * @see wp-includes/class-wp-editor.php
!  * @since 3.3
   *
!  * @param string $content Initial content for the editor.
!  * @param string $editor_id HTML ID attribute value for the textarea and TinyMCE. Can only be /[a-z]+/.
!  * @param array $settings See _WP_Editors::editor().
!  */
! function wp_editor( $content, $editor_id, $settings = array() ) {
! 	if ( ! class_exists( '_WP_Editors' ) )
! 		require( ABSPATH . WPINC . '/class-wp-editor.php' );
  
+ 	_WP_Editors::editor($content, $editor_id, $settings);
  }
  
  /**
***************
*** 2014,2020 ****
  				$page_links[] = "<a class='page-numbers' href='" . esc_url( apply_filters( 'paginate_links', $link ) ) . "'>$n_display</a>";
  				$dots = true;
  			elseif ( $dots && !$show_all ) :
! 				$page_links[] = '<span class="page-numbers dots">...</span>';
  				$dots = false;
  			endif;
  		endif;
--- 1974,1980 ----
  				$page_links[] = "<a class='page-numbers' href='" . esc_url( apply_filters( 'paginate_links', $link ) ) . "'>$n_display</a>";
  				$dots = true;
  			elseif ( $dots && !$show_all ) :
! 				$page_links[] = '<span class="page-numbers dots">' . __( '&hellip;' ) . '</span>';
  				$dots = false;
  			endif;
  		endif;
***************
*** 2074,2082 ****
   * @since 3.0.0
   */
  function register_admin_color_schemes() {
! 	wp_admin_css_color( 'classic', __( 'Blue' ), admin_url( 'css/colors-classic.css' ),
  		array( '#5589aa', '#cfdfe9', '#d1e5ee', '#eff8ff' ) );
! 	wp_admin_css_color( 'fresh', __( 'Gray' ), admin_url( 'css/colors-fresh.css' ),
  		array( '#7c7976', '#c6c6c6', '#e0e0e0', '#f1f1f1' ) );
  }
  
--- 2034,2042 ----
   * @since 3.0.0
   */
  function register_admin_color_schemes() {
! 	wp_admin_css_color( 'classic', _x( 'Blue', 'admin color scheme' ), admin_url( 'css/colors-classic.css' ),
  		array( '#5589aa', '#cfdfe9', '#d1e5ee', '#eff8ff' ) );
! 	wp_admin_css_color( 'fresh', _x( 'Gray', 'admin color scheme' ), admin_url( 'css/colors-fresh.css' ),
  		array( '#7c7976', '#c6c6c6', '#e0e0e0', '#f1f1f1' ) );
  }
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/js/autosave.dev.js ./wordpress-3.3/wp-includes/js/autosave.dev.js
*** ./wordpress-3.2.1/wp-includes/js/autosave.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/js/autosave.dev.js	2011-11-29 12:06:56.000000000 -0600
***************
*** 1,4 ****
! var autosave, autosaveLast = '', autosavePeriodical, autosaveOldMessage = '', autosaveDelayPreview = false, notSaved = true, blockSave = false, fullscreen;
  
  jQuery(document).ready( function($) {
  	var dotabkey = true;
--- 1,4 ----
! var autosave, autosaveLast = '', autosavePeriodical, autosaveOldMessage = '', autosaveDelayPreview = false, notSaved = true, blockSave = false, fullscreen, autosaveLockRelease = true;
  
  jQuery(document).ready( function($) {
  	var dotabkey = true;
***************
*** 9,14 ****
--- 9,15 ----
  	//Disable autosave after the form has been submitted
  	$("#post").submit(function() {
  		$.cancel(autosavePeriodical);
+ 		autosaveLockRelease = false;
  	});
  
  	$('input[type="submit"], a.submitdelete', '#submitpost').click(function(){
***************
*** 47,52 ****
--- 48,74 ----
  		}
  	};
  
+ 	$(window).unload( function(e) {
+ 		if ( ! autosaveLockRelease )
+ 			return;
+ 
+ 		// unload fires (twice) on removing the Thickbox iframe. Make sure we process only the main document unload.
+ 		if ( e.target && e.target.nodeName != '#document' )
+ 			return;
+ 
+ 		$.ajax({
+ 			type: 'POST',
+ 			url: ajaxurl,
+ 			async: false,
+ 			data: {
+ 				action: 'wp-remove-post-lock',
+ 				_wpnonce: $('#_wpnonce').val(),
+ 				post_ID: $('#post_ID').val(),
+ 				active_post_lock: $('#active_post_lock').val()
+ 			}
+ 		});
+ 	} );
+ 
  	// preview
  	$('#post-preview').click(function(){
  		if ( $('#auto_draft').val() == '1' && notSaved ) {
***************
*** 61,66 ****
--- 83,99 ----
  	doPreview = function() {
  		$('input#wp-preview').val('dopreview');
  		$('form#post').attr('target', 'wp-preview').submit().attr('target', '');
+ 
+ 		/*
+ 		 * Workaround for WebKit bug preventing a form submitting twice to the same action.
+ 		 * https://bugs.webkit.org/show_bug.cgi?id=28633
+ 		 */
+ 		if ( $.browser.safari ) {
+ 			$('form#post').attr('action', function(index, value) {
+ 				return value + '?t=' + new Date().getTime();
+ 			});
+ 		}
+ 
  		$('input#wp-preview').val('');
  	}
  
***************
*** 99,107 ****
--- 132,145 ----
  			sup = res.responses[0].supplemental;
  			if ( 'disable' == sup['disable_autosave'] ) {
  				autosave = function() {};
+ 				autosaveLockRelease = false;
  				res = { errors: true };
  			}
  
+ 			if ( sup['active-post-lock'] ) {
+ 				jQuery('#active_post_lock').val( sup['active-post-lock'] );
+ 			}
+ 
  			if ( sup['alert'] ) {
  				jQuery('#autosave-alert').remove();
  				jQuery('#titlediv').after('<div id="autosave-alert" class="error below-h2"><p>' + sup['alert'] + '</p></div>');
***************
*** 245,255 ****
  	}
  
  	if ( fullscreen && fullscreen.settings.visible ) {
! 		post_data["post_title"] = jQuery('#wp-fullscreen-title').val();
! 		post_data["content"] = jQuery("#wp_mce_fullscreen").val();
  	} else {
! 		post_data["post_title"] = jQuery("#title").val()
! 		post_data["content"] = jQuery("#content").val();
  	}
  
  	if ( jQuery('#post_name').val() )
--- 283,293 ----
  	}
  
  	if ( fullscreen && fullscreen.settings.visible ) {
! 		post_data["post_title"] = jQuery('#wp-fullscreen-title').val() || '';
! 		post_data["content"] = jQuery("#wp_mce_fullscreen").val() || '';
  	} else {
! 		post_data["post_title"] = jQuery("#title").val() || '';
! 		post_data["content"] = jQuery("#content").val() || '';
  	}
  
  	if ( jQuery('#post_name').val() )
